Index: branches/playability/src/world_entities/WorldEntities.am
===================================================================
--- branches/playability/src/world_entities/WorldEntities.am	(revision 9974)
+++ branches/playability/src/world_entities/WorldEntities.am	(revision 9975)
@@ -54,5 +54,4 @@
                 \
                 world_entities/space_ships/space_ship.cc \
-                world_entities/space_ships/playership.cc \
                 world_entities/space_ships/helicopter.cc \
                 world_entities/space_ships/hover.cc \
@@ -162,5 +161,4 @@
                 \
                 space_ships/space_ship.h \
-                space_ships/playership.h \
                 space_ships/helicopter.h \
                 space_ships/hover.h \
Index: branches/playability/src/world_entities/player.cc
===================================================================
--- branches/playability/src/world_entities/player.cc	(revision 9974)
+++ branches/playability/src/world_entities/player.cc	(revision 9975)
@@ -23,6 +23,4 @@
 
 #include "debug.h"
-
-#include "world_entities/space_ships/playership.h"
 
 ObjectListDefinition(Player);
@@ -130,13 +128,3 @@
 }
 
-PlayerShip* Player::getPlayerShip()
-{
-  return this->playership;
-}
 
-void Player::setPlayerShip(PlayerShip* playership)
-{
-  this->playership = playership;
-}
-
-
Index: branches/playability/src/world_entities/player.h
===================================================================
--- branches/playability/src/world_entities/player.h	(revision 9974)
+++ branches/playability/src/world_entities/player.h	(revision 9975)
@@ -10,5 +10,4 @@
 
 #include "util/hud.h"
-#include "world_entities/space_ships/playership.h"
 
 /* Forward Declaration */
@@ -32,6 +31,4 @@
     bool              setPlayable(Playable* controllalble);
     bool              eject();
-    void              setPlayerShip(PlayerShip playership);
-    PlayerShip*       getPlayerShip();
     inline Playable*  getPlayable() const  { return this->playable; };
 
@@ -50,5 +47,4 @@
     Playable*         playable;                 //!< The one we controll or NULL if none
     Hud               _hud;                     //!< The HUD to be displayed for this Player.
-    PlayerShip        playership;
 };
 
Index: branches/playability/src/world_entities/space_ships/playership.cc
===================================================================
--- branches/playability/src/world_entities/space_ships/playership.cc	(revision 9974)
+++ 	(revision )
@@ -1,527 +1,0 @@
-/*
-   orxonox - the future of 3D-vertical-scrollers
-
-   Copyright (C) 2004 orx
-
-   This program is free software; you can redistribute it and/or modify
-   it under the terms of the GNU General Public License as published by
-   the Free Software Foundation; either version 2, or (at your option)
-   any later version.
-
-### File Specific:
-   main-programmer: Benjamin Grauer
-   co-programmer: ...
-
-*/
-
-#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
-
-#include "playership.h"
-
-#include "weapons/weapon_manager.h"
-#include "weapons/test_gun.h"
-#include "weapons/turret.h"
-#include "weapons/cannon.h"
-
-#include "util/loading/factory.h"
-#include "util/loading/load_param.h"
-#include "key_mapper.h"
-#include "state.h"
-
-#include "graphics_engine.h"
-#include "particles/dot_emitter.h"
-#include "particles/sprite_particles.h"
-
-#include "debug.h"
-
-#include "script_class.h"
-
-
-#include "class_id_DEPRECATED.h"
-ObjectListDefinitionID(PlayerShip, CL_PlayerShip);
-CREATE_FACTORY(PlayerShip);
-
-CREATE_SCRIPTABLE_CLASS(PlayerShip,
-			addMethod("hasPlayer", Executor0ret<Playable, lua_State*,bool>(&Playable::hasPlayer))
-                        //Coordinates
-			    ->addMethod("setAbsCoor", Executor3<PNode, lua_State*,float,float,float>(&PNode::setAbsCoor))
-			    ->addMethod("getAbsCoorX", Executor0ret<PNode, lua_State*, float>(&PNode::getAbsCoorX))
-			    ->addMethod("getAbsCoorY", Executor0ret<PNode, lua_State*, float>(&PNode::getAbsCoorY))
-			    ->addMethod("getAbsCoorZ", Executor0ret<PNode, lua_State*, float>(&PNode::getAbsCoorZ))
-			    ->addMethod("setAirFriction", Executor1<PlayerShip, lua_State*, float>(&PlayerShip::setAirFriction))
-                       );
-
-
-
-/**
- * @brief loads a PlayerShip information from a specified file.
- * @param fileName the name of the File to load the spacecraft_2d from (absolute path)
- */
-PlayerShip::PlayerShip(const std::string& fileName)
-{
-  this->init();
-  TiXmlDocument doc(fileName);
-
-  if(!doc.LoadFile())
-  {
-    PRINTF(2)("Loading file %s failed for PlayerShip.\n", fileName.c_str());
-    return;
-  }
-
-  this->loadParams(doc.RootElement());
-}
-
-/**
- * @brief creates a new PlayerShip from Xml Data
- * @param root the xml element containing spaceship data
-
-   @todo add more parameters to load
-*/
-PlayerShip::PlayerShip(const TiXmlElement* root)
-{
-  this->init();
-  if (root != NULL)
-    this->loadParams(root);
-
-
-
-  //weapons:
-  Weapon* wpRight = dynamic_cast<Weapon*>(Factory::fabricate("LaserCannon"));
-  wpRight->setName("Cannon_Right");
-  Weapon* wpLeft = dynamic_cast<Weapon*>(Factory::fabricate("LaserCannon"));
-  wpLeft->setName("Cannon_Left");
-
-  Weapon* turretLeft = dynamic_cast<Weapon*>(Factory::fabricate("BoomerangGun"));
-  wpRight->setName("Turret_Left");
-  Weapon* turretRight = dynamic_cast<Weapon*>(Factory::fabricate("BoomerangGun"));
-  wpLeft->setName("Turret_Right");
-
-  //  cannon->setName("BFG");
-
-  this->addWeapon(wpLeft, 1, 0);
-  this->addWeapon(wpRight,1 ,1);
-  this->addWeapon(turretLeft, 1, 2);
-  this->addWeapon(turretRight, 1, 3);
-
-  //this->addWeapon(cannon, 0, 2);
-
-  this->getWeaponManager().changeWeaponConfig(1);
-  dynamic_cast<Element2D*>(this->getWeaponManager().getFixedTarget())->setVisibility( false);
-}
-
-
-/**
- * @brief destructs the ship, deletes alocated memory
- */
-PlayerShip::~PlayerShip ()
-{
-  this->setPlayer(NULL);
-  delete this->toTravelHeight;
-}
-
-
-/**
- * @brief initializes a PlayerShip
- */
-void PlayerShip::init()
-{
-  //  this->setRelDir(Quaternion(M_PI, Vector(1,0,0)));
-  this->registerObject(this, PlayerShip::_objectList);
-
-  this->setSupportedPlaymodes(Playable::Full3D | Playable::Horizontal );
-
-  bForward = bBackward = bLeft = bRight = false;
-  mouseSensitivity = 0.005;
-
-  this->cameraLook = 0.0f;
-  this->rotation = 0.0f;
-  this->acceleration = 20.0f;
-  this->airFriction = 0.0f;
-
-
-  this->setHealthMax(1000);
-  this->setHealth(1000);
-  this->setDamage(100.0f);
-
-
-
-  /// 2D-MODE
-  this->toTravelHeight = NULL;
-  this->travelSpeed = 0.0f;
-  this->travelNode = new PNode();
-
-  this->loadModel("models/ships/mantawing.obj", 5.0f);
-
-  // camera - issue
-  this->cameraNode.addNodeFlags(PNODE_PROHIBIT_DELETE_WITH_PARENT);
-  this->cameraNode.addNodeFlags(PNODE_PROHIBIT_CHILD_DELETE);
-  //this->cameraNode.setParentMode(PNODE_ROTATE_MOVEMENT);
-  //this->cameraNode.setParent(this);
-
-  // PARTICLES
-  this->burstEmitter = new DotEmitter(200, 5.0, .01);
-  this->burstEmitter->setParent(this);
-  this->burstEmitter->setRelCoor(0, -0.7, 0);
-  this->burstEmitter->setRelDir(Quaternion(-M_PI, Vector(0,0,1)));
-  this->burstEmitter->setName("PlayerShip_Burst_emitter_Left");
-
-  this->burstSystem = new SpriteParticles(1000);
-  this->burstSystem->addEmitter(this->burstEmitter);
-  this->burstSystem->setName("SpaceShip_Burst_System");
-  ((SpriteParticles*)this->burstSystem)->setMaterialTexture("maps/radial-trans-noise.png");
-  this->burstSystem->setLifeSpan(1.0, .3);
-  this->burstSystem->setRadius(0.0, 1.5);
-  this->burstSystem->setRadius(0.05, 1.8);
-  this->burstSystem->setRadius(.5, .8);
-  this->burstSystem->setRadius(1.0, 0);
-  this->burstSystem->setColor(0.0, .7,.7,1,.5);
-  this->burstSystem->setColor(0.2, 0,0,0.8,.5);
-  this->burstSystem->setColor(0.5, .5,.5,.8,.3);
-  this->burstSystem->setColor(1.0, .8,.8,.8,.0);
-
-
-  //add events to the eventlist of the Playable
-  this->registerEvent(KeyMapper::PEV_FORWARD);
-  this->registerEvent(KeyMapper::PEV_BACKWARD);
-  this->registerEvent(KeyMapper::PEV_LEFT);
-  this->registerEvent(KeyMapper::PEV_RIGHT);
-  this->registerEvent(KeyMapper::PEV_FIRE1);
-  this->registerEvent(KeyMapper::PEV_NEXT_WEAPON);
-  this->registerEvent(KeyMapper::PEV_PREVIOUS_WEAPON);
-  this->registerEvent(EV_MOUSE_MOTION);
-
-  dynamic_cast<Element2D*>(this->getWeaponManager().getFixedTarget())->setVisibility( false);
-
-  // WEAPON_MANAGER configuration
-  this->getWeaponManager().setSlotCount(5);
-
-  this->getWeaponManager().setSlotPosition(0, Vector(1.843, -0.335, 2.029) * 5.0);
-  this->getWeaponManager().setSlotCapability(0, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-
-  this->getWeaponManager().setSlotPosition(1, Vector(1.843, -0.335, -2.029) * 5.0);
-  this->getWeaponManager().setSlotCapability(1, WTYPE_ALLDIRS | WTYPE_DIRECTIONAL);
-
-  /// TODO: THESE ARE TOO MUCH
-  this->getWeaponManager().setSlotPosition(2, Vector(-0.351, -.238, 1.406) * 5.0);
-  this->getWeaponManager().setSlotDirection(2, Quaternion(-1.7, Vector(0,1,0)));
-
-  this->getWeaponManager().setSlotPosition(3, Vector(-0.351, -.238, -1.406) * 5.0);
-  this->getWeaponManager().setSlotDirection(3, Quaternion(1.7, Vector(0,1,0)));
-
-  this->cameraNode.setRelCoor(1,5,0);
-  this->getWeaponManager().getFixedTarget()->setParent(&this->cameraNode);
-  this->getWeaponManager().getFixedTarget()->setRelCoor(1000,0,0);
-
-  registerVar( new SynchronizeableBool( &bForward, &bForward, "bForward", PERMISSION_OWNER ) );
-  registerVar( new SynchronizeableBool( &bBackward, &bBackward, "bBackward", PERMISSION_OWNER ) );
-  registerVar( new SynchronizeableBool( &bLeft, &bLeft, "bLeft", PERMISSION_OWNER ) );
-  registerVar( new SynchronizeableBool( &bRight, &bRight, "bRight", PERMISSION_OWNER ) );
-  //registerVar( new SynchronizeableQuaternion( &direction, &direction, "direction", PERMISSION_OWNER ) );
-  registerVar( new SynchronizeableFloat( &cameraLook, &cameraLook, "cameraLook", PERMISSION_OWNER ) );
-  registerVar( new SynchronizeableFloat( &rotation, &rotation, "rotation", PERMISSION_OWNER ) );
-
-
-
-}
-
-/**
- * @brief loads the Settings of a PlayerShip from an XML-element.
- * @param root the XML-element to load the Spaceship's properties from
- */
-void PlayerShip::loadParams(const TiXmlElement* root)
-{
-  Playable::loadParams(root);
-
-  LoadParam(root, "travel-speed", this, PlayerShip, setTravelSpeed);
-  LoadParam(root, "travel-height", this, PlayerShip, setTravelHeight);
-  LoadParam(root, "travel-distance", this, PlayerShip, setTravelDistance);
-}
-
-void PlayerShip::setPlayDirection(const Quaternion& rot, float speed)
-{
-  this->direction = Quaternion (rot.getHeading(), Vector(0,1,0));
-}
-
-void PlayerShip::setTravelSpeed(float travelSpeed)
-{
-  this->travelSpeed = travelSpeed;
-}
-
-
-void PlayerShip::setTravelHeight(float travelHeight)
-{
-  if (this->toTravelHeight == NULL)
-    this->toTravelHeight = new float;
-  *this->toTravelHeight = travelHeight;
-}
-
-
-void PlayerShip::setTravelDistance(const Vector2D& distance)
-{
-  this->travelDistance = distance;
-}
-
-void PlayerShip::setTravelDistance(float x, float y)
-{
-  this->setTravelDistance(Vector2D(x, y));
-}
-
-
-
-void PlayerShip::enter()
-{
-  dynamic_cast<Element2D*>(this->getWeaponManager().getFixedTarget())->setVisibility( true);
-//   this->setPlaymode(this->getPlaymode());
-  this->setPlaymode(Playable::Horizontal);
-  this->setTravelSpeed(10.0f);
-}
-
-void PlayerShip::leave()
-{
-  dynamic_cast<Element2D*>(this->getWeaponManager().getFixedTarget())->setVisibility( false);
-  this->detachCamera();
-
-}
-
-
-void PlayerShip::enterPlaymode(Playable::Playmode playmode)
-{
-  switch(playmode)
-  {
-    case Playable::Full3D:
-      if (State::getCameraNode != NULL)
-      {
-        Vector absCoor = this->getAbsCoor();
-        this->setParent(PNode::getNullParent());
-        this->setAbsCoor(absCoor);
-        State::getCameraNode()->setParentSoft(&this->cameraNode);
-        State::getCameraNode()->setRelCoorSoft(-10, 0,0);
-        State::getCameraTargetNode()->setParentSoft(&this->cameraNode);
-        State::getCameraTargetNode()->setRelCoorSoft(100, 0,0);
-
-      }
-      break;
-
-
-    case Playable::Horizontal:
-      if (State::getCameraNode != NULL)
-      {
-        this->debugNode(1);
-        this->travelNode->debugNode(1);
-
-        this->travelNode->setAbsCoor(this->getAbsCoor());
-        this->travelNode->updateNode(0.01f);
-
-        this->setParent(this->travelNode);
-        this->setRelCoor(0,0,0);
-
-        State::getCameraNode()->setParentSoft(this->travelNode);
-        State::getCameraNode()->setRelCoorSoft(-3, 100,0);
-        State::getCameraTargetNode()->setParentSoft(this->travelNode);
-        State::getCameraTargetNode()->setRelCoorSoft(5,0,1);
-
-
-        this->debugNode(1);
-        this->travelNode->debugNode(1);
-      }
-      break;
-
-    default:
-      PRINTF(2)("Playmode %s Not Implemented in %s\n", Playable::playmodeToString(this->getPlaymode()).c_str(), this->getClassCName());
-  }
-}
-
-
-
-/**
- * @brief effect that occurs after the PlayerShip is spawned
-*/
-void PlayerShip::postSpawn ()
-{
-  //setCollision(new CollisionCluster(1.0, Vector(0,0,0)));
-}
-
-/**
- * @brief the action occuring if the spacecraft_2d left the game
-*/
-void PlayerShip::leftWorld ()
-{}
-
-/**
- * @brief this function is called, when two entities collide
- * @param entity: the world entity with whom it collides
- *
- * Implement behaviour like damage application or other miscellaneous collision stuff in this function
- */
-void PlayerShip::collidesWith(WorldEntity* entity, const Vector& location)
-{
-  Playable::collidesWith(entity, location);
-}
-
-
-
-/**
- * @brief the function called for each passing timeSnap
- * @param time The timespan passed since last update
-*/
-void PlayerShip::tick (float dt)
-{
-  //  this->debugNode(1);
-  Playable::tick(dt);
-
-  // spaceship controlled movement
-  this->movement(dt);
-
-  // TRYING TO FIX PNode.
-  this->cameraNode.setAbsCoorSoft(this->getAbsCoor() + Vector(0.0f, 5.0f, 0.0f), 30.0f);
-  this->cameraNode.setRelDirSoft(this->getAbsDir(), 30.0f);
-}
-
-/**
- * @brief calculate the velocity
- * @param time the timeslice since the last frame
-*/
-void PlayerShip::movement (float dt)
-{
-  Vector accel(0.0, 0.0, 0.0);
-
-  if( this->bForward )
-  {
-    accel += Vector(this->acceleration, 0, 0);
-  }
-
-  if( this->bBackward )
-  {
-    accel -= Vector(this->acceleration, 0, 0);
-  }
-  if( this->bLeft)
-  {
-    accel -= Vector(0, 0, this->acceleration);
-  }
-
-  if( this->bRight)
-  {
-    accel += Vector(0, 0, this->acceleration);
-  }
-
-  switch(this->getPlaymode())
-  {
-    case Playable::Full3D:
-      {
-        Vector accelerationDir = this->getAbsDir().apply(accel * this->acceleration);
-
-        // this is the air friction (necessary for a smooth control)
-        Vector damping = (this->velocity * this->airFriction);
-
-
-        this->velocity += (accelerationDir - damping)* dt;
-        this->shiftCoor (this->velocity * dt);
-
-        // limit the maximum rotation speed.
-        if (this->rotation != 0.0f)
-        {
-          float maxRot = 10.0 * dt;
-          if (unlikely(this->rotation > maxRot)) this->rotation = maxRot;
-          if (unlikely(this->rotation < -maxRot)) this->rotation = -maxRot;
-          this->direction *= Quaternion(-M_PI/4.0*this->rotation, Vector(0,1,0));
-
-          this->rotation = 0.0f;
-        }
-
-        this->setRelDirSoft(this->direction * Quaternion(-cameraLook, Vector(0,0,1)), 5);
-      }
-      break;
-
-    case Playable::Horizontal:
-      {
-
-        if (this->toTravelHeight != NULL)
-        {
-          this->travelNode->shiftCoor(Vector(0, (*toTravelHeight - this->travelNode->getAbsCoor().y) * dt * 10.0, 0));
-          if (fabsf(this->travelNode->getAbsCoor().y - *this->toTravelHeight) < .1)
-          {
-            delete this->toTravelHeight;
-            this->toTravelHeight = NULL;
-          }
-        }
-        this->travelNode->shiftCoor(Vector(this->travelSpeed * dt, 0, 0));
-
-        accel.y = 0.0;
-
-        Vector accelerationDir = this->getAbsDir().apply(accel * this->acceleration);
-        accelerationDir.y = 0.0;
-
-        // this is the air friction (necessary for a smooth control)
-        Vector damping = (this->velocity * this->airFriction);
-
-
-        this->velocity += (accelerationDir - damping)* dt;
-
-        if (this->getRelCoor().z > this->travelDistance.y && velocity.z > 0.0)
-          this->velocity.z = 0.0f;
-        if (this->getRelCoor().z < -this->travelDistance.y && velocity.z < 0.0)
-          this->velocity.z = 0.0f;
-
-        if (this->getRelCoor().x > this->travelDistance.x && velocity.x > 0.0)
-          this->velocity.x = 0.0f;
-        if (this->getRelCoor().x < -this->travelDistance.x && velocity.x < 0.0)
-          this->velocity.x = 0.0f;
-
-
-        this->shiftCoor (this->velocity * dt);
-        if (accel.z == 0)
-          this->setRelDirSoft(Quaternion(0, Vector(0,0,0)), 5.0f);
-        else
-          this->setRelDirSoft(Quaternion(this->velocity.z * .004, Vector(1,0,0)), 4.5f);
-      }
-      break;
-
-    default:
-      PRINTF(2)("Playmode %s Not Implemented in %s\n", Playable::playmodeToString(this->getPlaymode()).c_str(), this->getClassCName());
-  }
-}
-
-
-void PlayerShip::draw() const
-{
-  WorldEntity::draw();
-}
-
-/**
- * @todo switch statement ??
- */
-void PlayerShip::process(const Event &event)
-{
-  Playable::process(event);
-
-  if( event.type == KeyMapper::PEV_LEFT)
-    this->bLeft = event.bPressed;
-  else if( event.type == KeyMapper::PEV_RIGHT)
-    this->bRight = event.bPressed;
-  else if( event.type == KeyMapper::PEV_FORWARD)
-    this->bForward = event.bPressed; //this->shiftCoor(0,.1,0);
-  else if( event.type == KeyMapper::PEV_BACKWARD)
-  {this->bBackward = event.bPressed; printf(" %f, %f, %f \n",getAbsCoorX(),getAbsCoorY(),getAbsCoorZ());} //this->shiftCoor(0,-.1,0);
-  else if( event.type == EV_MOUSE_MOTION)
-  {
-
-
-
-    if (this->getPlaymode() == Playable::Full3D)
-    {
-      float xMouse, yMouse;
-      xMouse = event.xRel*mouseSensitivity;
-      yMouse = event.yRel*mouseSensitivity;
-
-      // rotate the Player around the y-axis
-      this->rotation += xMouse;
-
-      this->cameraLook += yMouse;
-      // rotate the Camera around the z-axis
-      if (cameraLook > M_PI_4)
-        cameraLook = M_PI_4;
-      else if (cameraLook < -M_PI_4)
-        cameraLook = -M_PI_4;
-    }
-  }
-}
Index: branches/playability/src/world_entities/space_ships/playership.h
===================================================================
--- branches/playability/src/world_entities/space_ships/playership.h	(revision 9974)
+++ 	(revision )
@@ -1,89 +1,0 @@
-
-/*!
- * @file spacecraft_2d.h
- * Implements the Control of a Spacecraft2D
- */
-
-#ifndef _PLAYERSHIP_H
-#define _PLAYERSHIP_H
-
-#include "playable.h"
-#include "space_ship.h"
-
-// Forward Declaration
-
-// body
-class PlayerShip : public SpaceShip
-{
-  ObjectListDeclaration(Spacecraft2D);
-  public:
-    PlayerShip(const std::string& fileName);
-    PlayerShip(const TiXmlElement* root = NULL);
-    virtual ~PlayerShip();
-
-    virtual void loadParams(const TiXmlElement* root);
-
-    void setTravelSpeed(float travelSpeed);
-    void setTravelHeight(float travelHeight);
-    void setTravelDistance(const Vector2D& distance);
-    void setTravelDistance(float x, float y);
-
-    void setAirFriction(float friction) { this->airFriction = friction; };
-
-
-    virtual void setPlayDirection(const Quaternion& rot, float speed = 0.0f);
-    virtual void enter();
-    virtual void leave();
-
-
-    virtual void postSpawn();
-    virtual void leftWorld();
-
-    virtual void collidesWith(WorldEntity* entity, const Vector& location);
-    virtual void tick(float dt);
-    virtual void draw() const;
-
-    virtual void process(const Event &event);
-
-  protected:
-    virtual void enterPlaymode(Playable::Playmode playmode);
-
-  private:
-    void init();
-    void movement(float dt);
-
-  private:
-    bool                  bForward;           //!< forward button pressed.
-    bool                  bBackward;          //!< backward button pressed.
-    bool                  bLeft;              //!< left button pressed.
-    bool                  bRight;             //!< right button pressed.
-
-    int                   yInvert;
-    float                 mouseSensitivity;   //!< the mouse sensitivity
-
-    /// Normal Movement.
-    Quaternion            direction;          //!< the direction of the Spacecraft2D.
-    float                 acceleration;       //!< the acceleration of the Spacecraft2D.
-    float                 airFriction;        //!< AirFriction.
-
-    float                 airViscosity;
-
-
-    /// 2D-traveling
-    PNode*                travelNode;
-    float*                toTravelHeight;     // maybe not necessary.
-    float                 travelSpeed;        //!< the current speed of the Hove (to make soft movement)
-
-    Vector2D              travelDistance;     //!< Travel-Distance away from the TravelNode.
-
-    /// Camera
-    PNode                 cameraNode;
-    float                 cameraLook;
-    float                 rotation;
-
-
-    ParticleEmitter*      burstEmitter;
-    ParticleSystem*       burstSystem;
-};
-
-#endif /* _SPACECRAFT_2DS_H */
Index: branches/playability/src/world_entities/space_ships/space_ship.cc
===================================================================
--- branches/playability/src/world_entities/space_ships/space_ship.cc	(revision 9974)
+++ branches/playability/src/world_entities/space_ships/space_ship.cc	(revision 9975)
@@ -691,2 +691,10 @@
   
 }
+
+void SpaceShip::enterPlaymode(Playable::Playmode playmode)
+{
+}
+
+void SpaceShip::movement (float dt)
+{
+}
Index: branches/playability/src/world_entities/space_ships/space_ship.h
===================================================================
--- branches/playability/src/world_entities/space_ships/space_ship.h	(revision 9974)
+++ branches/playability/src/world_entities/space_ships/space_ship.h	(revision 9975)
@@ -151,5 +151,5 @@
     float                 rotation;
 
-    /*
+    // FIXME until other fixme removal needed
     Quaternion            mouseDir;           //!< the direction where the player wants to fly
     Quaternion            oldMouseDir;        //!< the direction where the player wanted to fly
@@ -159,5 +159,5 @@
     Quaternion            pitchDir;
     float                 dogdeSpeed;        //!< the dogde Speed of the ship.
-    */
+    // FIXME
 
     Quaternion            direction;          //!< the direction of the ship.
Index: branches/playability/src/world_entities/weapons/heavy_blaster.cc
===================================================================
--- branches/playability/src/world_entities/weapons/heavy_blaster.cc	(revision 9974)
+++ branches/playability/src/world_entities/weapons/heavy_blaster.cc	(revision 9975)
@@ -1,11 +1,31 @@
 #include "heavy_blaster.h"
+#include "world_entities/projectiles/projectile.h"
+
+#include "world_entity.h"
+#include "static_model.h"
+#include "weapon_manager.h"
+#include "util/loading/factory.h"
+
+#include "animation3d.h"
+
+#include "loading/fast_factory.h"
+
+CREATE_FACTORY(HeavyBlaster);
+/**
+ * Standard constructor
+ */
+HeavyBlaster::HeavyBlaster ()
+ : Weapon()
+{
+    this->init();
+}
 
 HeavyBlaster::HeavyBlaster (const TiXmlElement* root = NULL)
  : Weapon()
-  {
+{
     this->init();
     if (root != NULL)
       this->loadParams(root);
-  }
+}
 
 /**
@@ -13,7 +33,88 @@
  */
 HeavyBlaster::~HeavyBlaster()
-  {
+{
       // model will be deleted from WorldEntity-destructor
-  }
+}
+
+void HeavyBlaster::loadParams(const TiXmlElement* root)
+{
+  Weapon::loadParams(root);
+}
+
+void HeavyBlaster::init()
+{
+  //this->registerObject(this, HeavyBlaster::_objectList);
+
+//  this->model = (Model*)ResourceManager::getInstance()->load("models/guns/test_gun.obj", OBJ, RP_CAMPAIGN);
+
+  this->loadModel("models/guns/plasmadriver_#.obj", 1.0);
+  
+
+  this->setStateDuration(WS_SHOOTING, 0.05);
+  this->setStateDuration(WS_RELOADING, 0);
+  this->setStateDuration(WS_ACTIVATING, .5);
+  this->setStateDuration(WS_DEACTIVATING, 1);
+
+  this->setEnergyMax(5000);
+  this->increaseEnergy(5000);
+  //this->minCharge = 2;
+
+  this->setActionSound(WA_SHOOT, "sound/laser.wav");
+  this->setActionSound(WA_ACTIVATE, "sound/voices/lasers.wav");
+  this->setActionSound(WA_RELOAD, "sound/spawn/alien_generator.wav");
+
+  this->setCapability(WTYPE_ALLDIRS | WTYPE_DIRECTIONAL | WTYPE_LIGHT);
+  this->setProjectileTypeC("RailProjectile");   // FIXME temp project type until the blaste class exist
+  this->prepareProjectiles(100);
+
+  Animation3D* animation2 = this->getAnimation(WS_ACTIVATING, this);
+  Animation3D* animation3 = this->getAnimation(WS_DEACTIVATING, this);
+
+  animation2->setInfinity(ANIM_INF_CONSTANT);
+  animation3->setInfinity(ANIM_INF_CONSTANT);
+
+  this->setEmissionPoint(3.8, 1.2, 0);
+
+  animation2->addKeyFrame(Vector(0.0, -1.0, 0.0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_NULL);
+  animation2->addKeyFrame(Vector(0.0, 0.0, 0.0), Quaternion(), 0.5, ANIM_LINEAR, ANIM_NULL);
+
+  animation3->addKeyFrame(Vector(0.0, 0.0, 0.0), Quaternion(), 0.5, ANIM_LINEAR, ANIM_NULL);
+  animation3->addKeyFrame(Vector(0.0, -1.0, 0.0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_NULL);
+}
 
 
+void HeavyBlaster::fire()
+{
+  Projectile* pj =  this->getProjectile();
+  if (pj == NULL)
+    return;
+
+  // set the owner
+  pj->setOwner(this->getOwner());
+
+  pj->setParent(PNode::getNullParent());
+
+  pj->setVelocity(this->getAbsDir().apply(Vector(1,0,0))*250 + VECTOR_RAND(5));
+
+  pj->setAbsCoor(this->getEmissionPoint());
+  pj->setAbsDir(this->getAbsDir());
+  pj->activate();
+}
+
+/**
+ *  this activates the weapon
+*/
+void HeavyBlaster::activate()
+{
+}
+
+/**
+ *  this deactivates the weapon
+*/
+void HeavyBlaster::deactivate()
+{
+}
+
+void HeavyBlaster::draw() const
+{
+}
Index: branches/playability/src/world_entities/weapons/heavy_blaster.h
===================================================================
--- branches/playability/src/world_entities/weapons/heavy_blaster.h	(revision 9974)
+++ branches/playability/src/world_entities/weapons/heavy_blaster.h	(revision 9975)
@@ -12,5 +12,5 @@
 class HeavyBlaster : public Weapon
 {
-  ObjectListDeclaration(HeavyBlaster);
+  //ObjectListDeclaration(HeavyBlaster);
   public:
     HeavyBlaster();
Index: branches/playability/src/world_entities/weapons/light_blaster.cc
===================================================================
--- branches/playability/src/world_entities/weapons/light_blaster.cc	(revision 9974)
+++ branches/playability/src/world_entities/weapons/light_blaster.cc	(revision 9975)
@@ -44,5 +44,5 @@
 void LightBlaster::init()
 {
-  this->registerObject(this, LightBlaster::_objectList);
+  //this->registerObject(this, LightBlaster::_objectList);
 
 //  this->model = (Model*)ResourceManager::getInstance()->load("models/guns/test_gun.obj", OBJ, RP_CAMPAIGN);
@@ -90,7 +90,10 @@
     return;
 
+  // set the owner
+  pj->setOwner(this->getOwner());
+
   pj->setParent(PNode::getNullParent());
 
-  pj->setVelocity(this->getVelocity() + this->getAbsDir().apply(Vector(1,0,0))*15+VECTOR_RAND(5));
+  pj->setVelocity(this->getAbsDir().apply(Vector(1,0,0))*250 + VECTOR_RAND(5));
 
   pj->setAbsCoor(this->getEmissionPoint());
@@ -112,2 +115,6 @@
 {
 }
+
+void LightBlaster::draw() const
+{
+}
Index: branches/playability/src/world_entities/weapons/light_blaster.h
===================================================================
--- branches/playability/src/world_entities/weapons/light_blaster.h	(revision 9974)
+++ branches/playability/src/world_entities/weapons/light_blaster.h	(revision 9975)
@@ -12,5 +12,5 @@
 class LightBlaster : public Weapon
 {
-  ObjectListDeclaration(LightBlaster);
+  //ObjectListDeclaration(LightBlaster);
   public:
     LightBlaster ();
Index: branches/playability/src/world_entities/weapons/medium_blaster.cc
===================================================================
--- branches/playability/src/world_entities/weapons/medium_blaster.cc	(revision 9974)
+++ branches/playability/src/world_entities/weapons/medium_blaster.cc	(revision 9975)
@@ -1,11 +1,31 @@
 #include "medium_blaster.h"
+#include "world_entities/projectiles/projectile.h"
+
+#include "world_entity.h"
+#include "static_model.h"
+#include "weapon_manager.h"
+#include "util/loading/factory.h"
+
+#include "animation3d.h"
+
+#include "loading/fast_factory.h"
+
+CREATE_FACTORY(MediumBlaster);
+/**
+ * Standard constructor
+ */
+MediumBlaster::MediumBlaster ()
+ : Weapon()
+{
+    this->init();
+}
 
 MediumBlaster::MediumBlaster (const TiXmlElement* root = NULL)
  : Weapon()
-  {
+{
     this->init();
     if (root != NULL)
       this->loadParams(root);
-  }
+}
 
 /**
@@ -13,7 +33,88 @@
  */
 MediumBlaster::~MediumBlaster()
-  {
+{
       // model will be deleted from WorldEntity-destructor
-  }
+}
+
+void MediumBlaster::loadParams(const TiXmlElement* root)
+{
+  Weapon::loadParams(root);
+}
+
+void MediumBlaster::init()
+{
+  //this->registerObject(this, MediumBlaster::_objectList);
+
+//  this->model = (Model*)ResourceManager::getInstance()->load("models/guns/test_gun.obj", OBJ, RP_CAMPAIGN);
+
+  this->loadModel("models/guns/plasmadriver_#.obj", 1.0);
+  
+
+  this->setStateDuration(WS_SHOOTING, 0.05);
+  this->setStateDuration(WS_RELOADING, 0);
+  this->setStateDuration(WS_ACTIVATING, .5);
+  this->setStateDuration(WS_DEACTIVATING, 1);
+
+  this->setEnergyMax(5000);
+  this->increaseEnergy(5000);
+  //this->minCharge = 2;
+
+  this->setActionSound(WA_SHOOT, "sound/laser.wav");
+  this->setActionSound(WA_ACTIVATE, "sound/voices/lasers.wav");
+  this->setActionSound(WA_RELOAD, "sound/spawn/alien_generator.wav");
+
+  this->setCapability(WTYPE_ALLDIRS | WTYPE_DIRECTIONAL | WTYPE_LIGHT);
+  this->setProjectileTypeC("RailProjectile");   // FIXME temp project type until the blaste class exist
+  this->prepareProjectiles(100);
+
+  Animation3D* animation2 = this->getAnimation(WS_ACTIVATING, this);
+  Animation3D* animation3 = this->getAnimation(WS_DEACTIVATING, this);
+
+  animation2->setInfinity(ANIM_INF_CONSTANT);
+  animation3->setInfinity(ANIM_INF_CONSTANT);
+
+  this->setEmissionPoint(3.8, 1.2, 0);
+
+  animation2->addKeyFrame(Vector(0.0, -1.0, 0.0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_NULL);
+  animation2->addKeyFrame(Vector(0.0, 0.0, 0.0), Quaternion(), 0.5, ANIM_LINEAR, ANIM_NULL);
+
+  animation3->addKeyFrame(Vector(0.0, 0.0, 0.0), Quaternion(), 0.5, ANIM_LINEAR, ANIM_NULL);
+  animation3->addKeyFrame(Vector(0.0, -1.0, 0.0), Quaternion(), 0.3, ANIM_LINEAR, ANIM_NULL);
+}
 
 
+void MediumBlaster::fire()
+{
+  Projectile* pj =  this->getProjectile();
+  if (pj == NULL)
+    return;
+
+  // set the owner
+  pj->setOwner(this->getOwner());
+
+  pj->setParent(PNode::getNullParent());
+
+  pj->setVelocity(this->getAbsDir().apply(Vector(1,0,0))*250 + VECTOR_RAND(5));
+
+  pj->setAbsCoor(this->getEmissionPoint());
+  pj->setAbsDir(this->getAbsDir());
+  pj->activate();
+}
+
+/**
+ *  this activates the weapon
+*/
+void MediumBlaster::activate()
+{
+}
+
+/**
+ *  this deactivates the weapon
+*/
+void MediumBlaster::deactivate()
+{
+}
+
+void MediumBlaster::draw() const
+{
+}
Index: branches/playability/src/world_entities/weapons/medium_blaster.h
===================================================================
--- branches/playability/src/world_entities/weapons/medium_blaster.h	(revision 9974)
+++ branches/playability/src/world_entities/weapons/medium_blaster.h	(revision 9975)
@@ -12,5 +12,5 @@
 class MediumBlaster : public Weapon
 {
-  ObjectListDeclaration(MediumBlaster);
+  //ObjectListDeclaration(MediumBlaster);
   public:
     MediumBlaster();
